# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rex-fm"
version = "0.4.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fast terminal file manager with undo, search, and multi-select"
readme = "README.md"
keywords = [
    "file-manager",
    "tui",
    "terminal",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/gaurav13407/REX-File-Manager-"

[[bin]]
name = "rex"
path = "src/main.rs"

[dependencies.crossterm]
version = "0.28"

[dependencies.dirs]
version = "5"

[dependencies.notify]
version = "6"

[dependencies.nucleo]
version = "0.5"

[dependencies.ratatui]
version = "0.29"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sysinfo]
version = "0.30"

[dependencies.ureq]
version = "2"
features = ["json"]

[dependencies.walkdir]
version = "2"

[profile.dev]
opt-level = 2
